### Name: ISAHTML
### Title: Create HTML summary pages from the result of modular analysis
### Aliases: ISAHTML ISAHTMLModules ISAHTMLTable
### Keywords: cluster

### ** Examples

# Load data
library(ALL)
data(ALL)
data(ALLModulesSmall)

# Calculate enrichment
GO <- ISAGO(ALLModulesSmall)
KEGG <- ISAKEGG(ALLModulesSmall)
CHR <- ISACHR(ALLModulesSmall)

# Generate HTML summary
htmldir <- tempdir()
ISAHTML(ALL, modules=ALLModulesSmall, target.dir=htmldir,
        GO=GO, KEGG=KEGG, CHR=CHR)

# Open a browser to view the summary
if (interactive()) {
  browseURL(URLencode(paste("file://", htmldir, "/maintable.html", sep="")))
}



